Passage de lenny à squeeze

Le
Hubert Talbot
--_000_E3E0DB77D6AFF04BA44CF844FF4025FE019609156BSPEXQUE01criq_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Bonjour,

J'aimerais passer de lenny à squeeze. Est-ce que la méthode suivante es=
t suffisante :


1- apt-get update

2- apt-get upgrade

3- Remplacer les occurrences de lenny par squeeze dans /etc/apt/source=
s.list

4- apt-get update

5- apt-get dist-upgrade

J'ai aussi des dépôts supplémentaires dans /etc/apt/sources.list (vol=
atile, debian-multi-media et lenny-backports)

#
# deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary-=
1 20100627-10:43]/ lenny main

# deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary-=
1 20100627-10:43]/ lenny main

#################################### lenny ################################=
####
deb http://ftp3.nrc.ca/debian/ lenny main contrib non-free
deb-src http://ftp3.nrc.ca/debian/ lenny main contrib non-free

deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

#################################### volatile #############################=
#######
deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib =
non-free
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main cont=
rib non-free

################################# multimedia ##############################=
####
deb http://www.debian-multimedia.org/ lenny main
deb-src http://www.debian-multimedia.org/ lenny main

################################## backports ##############################=
####
deb http://www.backports.org/debian/ lenny-backports main contrib non-free

Et le fichier /etc/apt/preferences:

Package: *
Pin: release a=lenny-backports
Pin-priority: 200


Merci.

Hubert


--_000_E3E0DB77D6AFF04BA44CF844FF4025FE019609156BSPEXQUE01criq_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-micr=
osoft-com:office:office" xmlns:w="urn:schemas-microsoft-com:office:word" =
xmlns:m="http://schemas.microsoft.com/office/2004/12/omml" xmlns="http:=
//www.w3.org/TR/REC-html40">

<head>
<meta http-equiv=Content-Type content="text/html; charset=iso-8859-1"=
>
<meta name=Generator content="Microsoft Word 12 (filtered medium)">
<style>
<!--
/* Font Definitions */
@font-face
{font-family:Calibri;
panose-1:2 15 5 2 2 2 4 3 2 4;}
@font-face
{font-family:Tahoma;
panose-1:2 11 6 4 3 5 4 4 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
{margin:0cm;
margin-bottom:.0001pt;
font-size:11.0pt;
font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
{mso-style-priority:99;
color:blue;
text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
{mso-style-priority:99;
color:purple;
text-decoration:underline;}
p.MsoAcetate, li.MsoAcetate, div.MsoAcetate
{mso-style-priority:99;
mso-style-link:"Texte de bulles Car";
margin:0cm;
margin-bottom:.0001pt;
font-size:8.0pt;
font-family:"Tahoma","sans-serif";}
p.MsoListParagraph, li.MsoListParagraph, div.MsoListParagraph
{mso-style-priority:34;
margin-top:0cm;
margin-right:0cm;
margin-bottom:0cm;
margin-left:36.0pt;
margin-bottom:.0001pt;
font-size:11.0pt;
font-family:"Calibri","sans-serif";}
span.EmailStyle17
{mso-style-type:personal-compose;
font-family:"Calibri","sans-serif";
color:windowtext;}
span.TextedebullesCar
{mso-style-name:"Texte de bulles Car";
mso-style-priority:99;
mso-style-link:"Texte de bulles";
font-family:"Tahoma","sans-serif";}
.MsoChpDefault
{mso-style-type:export-only;}
@page Section1
{size:612.0pt 792.0pt;
margin:72.0pt 90.0pt 72.0pt 90.0pt;}
div.Section1
{page:Section1;}
/* List Definitions */
@list l0
{mso-list-id:1834182986;
mso-list-type:hybrid;
mso-list-template-ids:-221351800 2008953574 202113049 202113051 202113039 =
202113049 202113051 202113039 202113049 202113051;}
@list l0:level1
{mso-level-text:%1-;
mso-level-tab-stop:none;
mso-level-number-position:left;
text-indent:-18.0pt;}
ol
{margin-bottom:0cm;}
ul
{margin-bottom:0cm;}
-->
</style>
<!--[if gte mso 9]><xml>
<o:shapedefaults v:ext="edit" spidmax="1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext="edit">
<o:idmap v:ext="edit" data="1" />
</o:shapelayout></xml><![endif]-->
</head>

<body lang=FR-CA link=blue vlink=purple>

<div class=Section1>

<p class=MsoNormal>Bonjour,<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>J&#8217;aimerais passer de lenny à squeeze. Est-ce q=
ue la
méthode suivante est suffisante&nbsp;:<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoListParagraph style='text-indent:-18.0pt;mso-list:l0 level1=
lfo1'><![if !supportLists]><span
lang=EN-US><span style='mso-list:Ignore'>1-<span style='font:7.0pt "T=
imes New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span></span><![endif]><span lang=EN-US>apt-get update <o:p></o:p=
></span></p>

<p class=MsoListParagraph style='text-indent:-18.0pt;mso-list:l0 level1=
lfo1'><![if !supportLists]><span
lang=EN-US><span style='mso-list:Ignore'>2-<span style='font:7.0pt "T=
imes New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span></span><![endif]><span lang=EN-US>apt-get upgrade<o:p></o:p=
></span></p>

<p class=MsoListParagraph style='text-indent:-18.0pt;mso-list:l0 level1=
lfo1'><![if !supportLists]><span
style='mso-list:Ignore'>3-<span style='font:7.0pt "Times New Roman"'>&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span><![endif]>Remplacer les occurrences de lenny par squeeze dans
/etc/apt/sources.list<o:p></o:p></p>

<p class=MsoListParagraph style='text-indent:-18.0pt;mso-list:l0 level1=
lfo1'><![if !supportLists]><span
style='mso-list:Ignore'>4-<span style='font:7.0pt "Times New Roman"'>&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span><![endif]>apt-get update<o:p></o:p></p>

<p class=MsoListParagraph style='text-indent:-18.0pt;mso-list:l0 level1=
lfo1'><![if !supportLists]><span
style='mso-list:Ignore'>5-<span style='font:7.0pt "Times New Roman"'>&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span><![endif]>apt-get dist-upgrade<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>J&#8217;ai aussi des dépôts supplémentaires dans=
/etc/apt/sources.list
(volatile, debian-multi-media et lenny-backports)<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US># <o:p=
></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US># deb
cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary-1
20100627-10:43]/ lenny main<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US><o:p>&=
nbsp;</o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US># deb
cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary-1
20100627-10:43]/ lenny main<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US><o:p>&=
nbsp;</o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>######=
##############################
lenny ####################################<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb
http://ftp3.nrc.ca/debian/ lenny main contrib non-free<o:p></o:p></span></p=
>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb-sr=
c
http://ftp3.nrc.ca/debian/ lenny main contrib non-free<o:p></o:p></span></p=
>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US><o:p>&=
nbsp;</o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb
http://security.debian.org/ lenny/updates main contrib non-free<o:p></o:p><=
/span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb-sr=
c
http://security.debian.org/ lenny/updates main contrib non-free<o:p></o:p><=
/span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US><o:p>&=
nbsp;</o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>######=
##############################
volatile ####################################<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb
http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-=
free<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb-sr=
c
http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-=
free<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US><o:p>&=
nbsp;</o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>######=
###########################
multimedia ##################################<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb
http://www.debian-multimedia.org/ lenny main<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb-sr=
c
http://www.debian-multimedia.org/ lenny main<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US><o:p>&=
nbsp;</o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>######=
############################
backports ##################################<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>deb
http://www.backports.org/debian/ lenny-backports main contrib non-free<o:p>=
</o:p></span></p>

<p class=MsoNormal><span lang=EN-US><o:p>&nbsp;</o:p></span></p>

<p class=MsoNormal>Et le fichier /etc/apt/preferences:<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>                <span la=
ng=EN-US>Package: *<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'><span lang=EN-US>Pin: r=
elease
a=lenny-backports<o:p></o:p></span></p>

<p class=MsoNormal style='margin-left:35.4pt'>Pin-priority: 200<o:p></o=
:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>Merci.<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>Hubert<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

</div>

</body>

</html>

--_000_E3E0DB77D6AFF04BA44CF844FF4025FE019609156BSPEXQUE01criq_--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/E3E0DB77D6AFF04BA44CF844FF4025FE019609156B@SPEXQUE01.criq.local
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Thierry Chatelet
Le #22490021
On Friday 20 August 2010 16:38:42 Hubert Talbot wrote:
Bonjour,

J'aimerais passer de lenny à squeeze. Est-ce que la méthode suivante est
suffisante :


1- apt-get update

2- apt-get upgrade

3- Remplacer les occurrences de lenny par squeeze dans
/etc/apt/sources.list

4- apt-get update

5- apt-get dist-upgrade

J'ai aussi des dépôts supplémentaires dans /etc/apt/sources.list (v olatile,
debian-multi-media et lenny-backports)

#
# deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST
Binary-1 20100627-10:43]/ lenny main

# deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST
Binary-1 20100627-10:43]/ lenny main

#################################### lenny
#################################### deb http://ftp3.nrc.ca/debian/ lenny
main contrib non-free
deb-src http://ftp3.nrc.ca/debian/ lenny main contrib non-free

deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

#################################### volatile
#################################### deb
http://volatile.debian.org/debian-volatile lenny/volatile main contrib
non-free deb-src http://volatile.debian.org/debian-volatile lenny/volatile
main contrib non-free

################################# multimedia
################################## deb http://www.debian-multimedia.org/
lenny main
deb-src http://www.debian-multimedia.org/ lenny main

################################## backports
################################## deb http://www.backports.org/debian/
lenny-backports main contrib non-free

Et le fichier /etc/apt/preferences:

Package: *
Pin: release a=lenny-backports
Pin-priority: 200


Merci.

Hubert



Si tu as un home séparé, tu as peut-être meilleur temps defaire une r é-instal.
De toute façon, une sauvegarde des données perso est fortement recomman dée.
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Hubert Talbot
Le #22490051
--_000_E3E0DB77D6AFF04BA44CF844FF4025FE0196091598SPEXQUE01criq_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Je viens de lire ceci sur http://forums.debian.net/viewtopic.php?f&t T184:

To upgrade change the sources.list from lenny to squeeze (or from stable to testing).
apt-get update
apt-get install linux-image-2.6.32-5-686
boot in that kernel.
Then run:
apt-get install aptitude apt dpkg
apt-get upgrade
apt-get dist-upgrade

J'imagine que c'est une procédure plus sûre. Maintenant, si cette proc édure est bien celle qui doit être suivie, comment savoir ce qui doit être installé (ici, kernel, aptitude, apt et dpkg) avant de de faire ap t-get update et apt-get dist-upgrade.

Hubert


De : Hubert Talbot [mailto:]
Envoyé : 20 août 2010 10:39
À :
Objet : Passage de lenny à squeeze

Bonjour,

J'aimerais passer de lenny à squeeze. Est-ce que la méthode suivante es t suffisante :


1- apt-get update

2- apt-get upgrade

3- Remplacer les occurrences de lenny par squeeze dans /etc/apt/source s.list

4- apt-get update

5- apt-get dist-upgrade

J'ai aussi des dépôts supplémentaires dans /etc/apt/sources.list (vol atile, debian-multi-media et lenny-backports)

#
# deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary- 1 20100627-10:43]/ lenny main

# deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary- 1 20100627-10:43]/ lenny main

#################################### lenny ################################ ####
deb http://ftp3.nrc.ca/debian/ lenny main contrib non-free
deb-src http://ftp3.nrc.ca/debian/ lenny main contrib non-free

deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

#################################### volatile ############################# #######
deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main cont rib non-free

################################# multimedia ############################## ####
deb http://www.debian-multimedia.org/ lenny main
deb-src http://www.debian-multimedia.org/ lenny main

################################## backports ############################## ####
deb http://www.backports.org/debian/ lenny-backports main contrib non-free

Et le fichier /etc/apt/preferences:

Package: *
Pin: release a=lenny-backports
Pin-priority: 200


Merci.

Hubert


--_000_E3E0DB77D6AFF04BA44CF844FF4025FE0196091598SPEXQUE01criq_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable


<head>
<meta http-equiv=Content-Type content="text/html; charset=iso-8859-1" >
<meta name=Generator content="Microsoft Word 12 (filtered medium)">
<style>
<!--
/* Font Definitions */
@font-face
{font-family:Calibri;
panose-1:2 15 5 2 2 2 4 3 2 4;}
@font-face
{font-family:Tahoma;
panose-1:2 11 6 4 3 5 4 4 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
{margin:0cm;
margin-bottom:.0001pt;
font-size:11.0pt;
font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
{mso-style-priority:99;
color:blue;
text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
{mso-style-priority:99;
color:purple;
text-decoration:underline;}
p.MsoAcetate, li.MsoAcetate, div.MsoAcetate
{mso-style-priority:99;
mso-style-link:"Texte de bulles Car";
margin:0cm;
margin-bottom:.0001pt;
font-size:8.0pt;
font-family:"Tahoma","sans-serif";}
p.MsoListParagraph, li.MsoListParagraph, div.MsoListParagraph
{mso-style-priority:34;
margin-top:0cm;
margin-right:0cm;
margin-bottom:0cm;
margin-left:36.0pt;
margin-bottom:.0001pt;
font-size:11.0pt;
font-family:"Calibri","sans-serif";}
span.TextedebullesCar
{mso-style-name:"Texte de bulles Car";
mso-style-priority:99;
mso-style-link:"Texte de bulles";
font-family:"Tahoma","sans-serif";}
span.EmailStyle20
{mso-style-type:personal;
font-family:"Calibri","sans-serif";
color:windowtext;}
span.EmailStyle21
{mso-style-type:personal-reply;
font-family:"Calibri","sans-serif";
color:#1F497D;}
.MsoChpDefault
{mso-style-type:export-only;
font-size:10.0pt;}
@page Section1
{size:612.0pt 792.0pt;
margin:72.0pt 90.0pt 72.0pt 90.0pt;}
div.Section1
{page:Section1;}
/* List Definitions */
@list l0
{mso-list-id:1834182986;
mso-list-type:hybrid;
mso-list-template-ids:-221351800 2008953574 202113049 202113051 202113039 202113049 202113051 202113039 202113049 202113051;}
@list l0:level1
{mso-level-text:%1-;
mso-level-tab-stop:none;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level2
{mso-level-tab-stop:72.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level3
{mso-level-tab-stop:108.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level4
{mso-level-tab-stop:144.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level5
{mso-level-tab-stop:180.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level6
{mso-level-tab-stop:216.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level7
{mso-level-tab-stop:252.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level8
{mso-level-tab-stop:288.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
@list l0:level9
{mso-level-tab-stop:324.0pt;
mso-level-number-position:left;
text-indent:-18.0pt;}
ol
{margin-bottom:0cm;}
ul
{margin-bottom:0cm;}
-->
</style>
<!--[if gte mso 9]><xml>
<o:shapedefaults v:ext="edit" spidmax="1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext="edit">
<o:idmap v:ext="edit" data="1" />
</o:shapelayout></xml><![endif]-->
</head>

<body lang=FR-CA link=blue vlink=purple>

<div class=Section1>

<p class=MsoNormal><span style='color:#1F497D'>Je viens de lire ceci su r <a
href="http://forums.debian.net/viewtopic.php?f&amp;tT184">http:/ /forums.debian.net/viewtopic.php?f&amp;tT184</a>:<o:p></o:p></span ></p>

<p class=MsoNormal><span style='color:#1F497D'><o:p>&nbsp;</o:p></span> </p>

change the sources.list from lenny to squeeze (or from stable to testing).< o:p></o:p></span></p>

apt-get install linux-image-2.6.32-5-686 <br>
boot in that kernel.<br>
Then run:<br>
apt-get install aptitude apt dpkg<br>
apt-get upgrade<br>
apt-get dist-upgrade</span><span lang=EN-US style='color:#1F497D'><o:p> </o:p></span></p>

<p class=MsoNormal><span lang=EN-US style='color:#1F497D'><o:p>&nbsp; </o:p></span></p>

<p class=MsoNormal><span style='color:#1F497D'>J&#8217;imagine que c&#8 217;est
une procédure plus sûre. Maintenant, si cette procédure est bien cell e qui doit
être suivie, comment savoir ce qui doit être installé (ici, kernel, a ptitude,
apt et dpkg) avant de de faire apt-get update et apt-get dist-upgrade.<o:p> </o:p></span></p>

<p class=MsoNormal><span style='color:#1F497D'><o:p>&nbsp;</o:p></span> </p>

<p class=MsoNormal><span style='color:#1F497D'>Hubert<o:p></o:p></span> </p>

<p class=MsoNormal><span style='color:#1F497D'><o:p>&nbsp;</o:p></span> </p>

<p class=MsoNormal><span style='color:#1F497D'><o:p>&nbsp;</o:p></span> </p>

<div>


lang=FR style='font-size:10.0pt;font-family:"Tahoma","sans-serif"'> Hub ert
Talbot [mailto:] <br>
<b>Envoyé&nbsp;:</b> 20 août 2010 10:39<br>
<b>Objet&nbsp;:</b> Passage de lenny à squeeze<o:p></o:p></span></p>

</div>

</div>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>Bonjour,<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>J&#8217;aimerais passer de lenny à squeeze. Est-ce q ue la
méthode suivante est suffisante&nbsp;:<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

lang=EN-US> </span></span></span><![endif]><span lang=EN-US>apt-get update <o:p></o:p ></span></p>

lang=EN-US> </span></span></span><![endif]><span lang=EN-US>apt-get upgrade<o:p></o:p ></span></p>

style='mso-list:Ignore'>3- </span></span><![endif]>Remplacer les occurrences de lenny par squeeze dans
/etc/apt/sources.list<o:p></o:p></p>

style='mso-list:Ignore'>4- </span></span><![endif]>apt-get update<o:p></o:p></p>

style='mso-list:Ignore'>5- </span></span><![endif]>apt-get dist-upgrade<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>J&#8217;ai aussi des dépôts supplémentaires dans
/etc/apt/sources.list (volatile, debian-multi-media et lenny-backports)<o:p ></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>


GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary-1 20100627-10:43]/ l enny
main<o:p></o:p></span></p>


cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official i386 NETINST Binary-1
20100627-10:43]/ lenny main<o:p></o:p></span></p>


lenny ####################################<o:p></o:p></span></p>

http://ftp3.nrc.ca/debian/ lenny main contrib non-free<o:p></o:p></span></p >

http://ftp3.nrc.ca/debian/ lenny main contrib non-free<o:p></o:p></span></p >


http://security.debian.org/ lenny/updates main contrib non-free<o:p></o:p>< /span></p>

http://security.debian.org/ lenny/updates main contrib non-free<o:p></o:p>< /span></p>


volatile ####################################<o:p></o:p></span></p>

http://volatile.debian.org/debian-volatile lenny/volatile main contrib non- free<o:p></o:p></span></p>

http://volatile.debian.org/debian-volatile lenny/volatile main contrib non- free<o:p></o:p></span></p>


multimedia ##################################<o:p></o:p></span></p>

http://www.debian-multimedia.org/ lenny main<o:p></o:p></span></p>

http://www.debian-multimedia.org/ lenny main<o:p></o:p></span></p>


backports ##################################<o:p></o:p></span></p>

http://www.backports.org/debian/ lenny-backports main contrib non-free<o:p> </o:p></span></p>

<p class=MsoNormal><span lang=EN-US><o:p>&nbsp;</o:p></span></p>

<p class=MsoNormal>Et le fichier /etc/apt/preferences:<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<span lang=EN-US>Package: *<o:p></o:p></span></p>

a=lenny-backports<o:p></o:p></span></p>


<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>


<p class=MsoNormal><o:p>&nbsp;</o:p></p>

<p class=MsoNormal>Hubert<o:p></o:p></p>

<p class=MsoNormal><o:p>&nbsp;</o:p></p>

</div>

</body>

</html>

--_000_E3E0DB77D6AFF04BA44CF844FF4025FE0196091598SPEXQUE01criq_--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #22490181
Thierry Chatelet, vendredi 20 août 2010, 17:08:02 CEST
[…]
Si tu as un home séparé, tu as peut-être meilleur temps de faire une ré-instal.
De toute façon, une sauvegarde des données perso est fortement recommandée.



Sauf qu’il faut se retaper toute la configuration, les choix
des paquets…

Sinon, effectivement, en ce qui concerne la quantité
téléchargée, c’est kif-kif…

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #22490271
[Coupe tes lignes. Et tu peux éviter le HTML aussi.]

Hubert Talbot, vendredi 20 août 2010, 11:08:40 CEST

Je viens de lire ceci sur http://forums.debian.net/viewtopic.php?f&t T184:

To upgrade change the sources.list from lenny to squeeze (or from stable to testing).
apt-get update
apt-get install linux-image-2.6.32-5-686
boot in that kernel.
Then run:
apt-get install aptitude apt dpkg
apt-get upgrade
apt-get dist-upgrade

J'imagine que c'est une procédure plus sûre. Maintenant, si
cette procédure est bien celle qui doit être suivie, comment
savoir ce qui doit être installé (ici, kernel, aptitude, apt
et dpkg) avant de de faire apt-get update et apt-get
dist-upgrade.



Oui, ça peut aider. Je crois que le noyau, ça doit être po ur
udev. Quant à la chaîne dpkg, apt, aptitude, la version qui est
la plus proche de celle des paquets qui vont être installés est
une bonne idée.

Normalement, tout ça est dans les release-notes, qui sont à
jour quand la livraison est faite…

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Guillaume
Le #22490611
Le 20/08/2010 18:01, Sylvain Sauvage a écrit :

[Coupe tes lignes. Et tu peux éviter le HTML aussi.]

Hubert Talbot, vendredi 20 août 2010, 11:08:40 CEST

Je viens de lire ceci sur http://forums.debian.net/viewtopic.php?f&tT184:

To upgrade change the sources.list from lenny to squeeze (or from stable to testing).
apt-get update
apt-get install linux-image-2.6.32-5-686
boot in that kernel.
Then run:
apt-get install aptitude apt dpkg
apt-get upgrade
apt-get dist-upgrade

J'imagine que c'est une procédure plus sûre. Maintenant, si
cette procédure est bien celle qui doit être suivie, comment
savoir ce qui doit être installé (ici, kernel, aptitude, apt
et dpkg) avant de de faire apt-get update et apt-get
dist-upgrade.



Oui, ça peut aider. Je crois que le noyau, ça doit être pour
udev. Quant à la chaîne dpkg, apt, aptitude, la version qui est
la plus proche de celle des paquets qui vont être installés est
une bonne idée.

Normalement, tout ça est dans les release-notes, qui sont Ã
jour quand la livraison est faite…




Bonjour,

J'ai fait la transition de lenny vers squeeze il y a quelques jours
... et ça a été la galère. Mais j'ai réussi sans devoir tout
réinstaller. Tout d'abord, je n'utilisais plus apt mais aptitude et
c'est finalement pas une bonne idée. Encore aujourd'hui, aptitude est
cassé sur _ma_ squeeze et je fais tout avec apt.
Les gros problèmes que j'ai eu sont les suivants :
- hal : j'arrivais pas à mettre à jour car la mise à jour de hal sortait
une erreur et l'installation de tout le reste s'arrêtait aussi. Donc
apt-get remove hal.
- udev : ca a aussi été un gros problème avant que je comprenne qu'il
fallait mettre à jour le noyau AVANT udev. Car apt/aptitude dit bien
qu'il compte mettre à jour udev, le kernel et tout, mais il le fait dans
le mauvais sens. Il faut donc mettre à jour le noyau tout seul (apt-get
remove kernel-Je-Sais-Plus-Combien puis apt-get install
kernel-2.6.32 <== je suis pas sûr de l'orthographe, mais c'est la
bonne version en tout cas). Ensuite apt-get install udev hal.
- Mon xserver n'a pas résisté. J'ai un peu tout supprimé à un moment
donné, donc le server X aussi. Avec le recul, ce n'était peut-être pas
nécessaire.
- grub : nouvelle version de grub qui demande sur quel disque installer
le bootloader. C'est con, mais je me rappellais plus lequel était chargé
en premier (1 chance sur 3) par le BIOS et je me suis trompé. Après ce
petit moment de frayeur et la modification du BIOS en conséquence, ca
marche bien :) En fait il ne supprime pas tout de suite la version
précédente de GRUB, il se rajoute juste en deuxième étape : le premier
GRUB est lancé et ensuite si on valide, ça lance le 2ième GRUB. Et quand
tu vois qu'en lançant le premier GRUB puis le second derrière, que tout
se passe bien, tu peux entrer une commande donnée lors de l'installation
qui supprime le passage par l'ancien GRUB. C'est là, après avoir
redémarré, que j'ai eu ma petit frayeur. En agissant avec prudence
(s'assurer que l'ancien GRUB fonctionne bien _avant_ de rentrer la
commande magique), ca passe sans pb.
- Icedove et aptitude : à cause d'une erreur de sqlite (que je n'ai
toujours pas résolue), je n'arrive pas à utiliser aptitude, ni icedove.
Aujourd'hui, j'ai télécharger thunderbird directement sur mozilla.org et
ca fonctionne (j'ai repris les paramètres de mes comptes mails et mes
emails en copiant ~/.icedove/Uh5sd54f.default dans ~/.thunderbird/ et où
j'ai édité ~/.icedove/profiles.ini pour qu'il prenne en compte le bon
répertoire de stockage (pour moi, c'était Uh5sd54f.default).
- emacs : apt-get remove emacs21 puis apt-get install emacs23

Ensuite, pas de problème pour Gnome, Enlightenment (compilé depuis les
sources), du navigateur web sous Gnome, d'OOo, amsn, perl, OpenSSH,
FreeRADIUS, ...


Avec tous ces problèmes, ca m'a pris une soirée, pas plus.

Bonne soirée !
Guillaume

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #22490711
Guillaume, vendredi 20 août 2010, 20:30:49 CEST
[…]
Bonjour,

J'ai fait la transition de lenny vers squeeze il y a quelques jours
... et ça a été la galère.



Squeeze est en période de gel (en plein mois d’août  !), c’est
le moment de faire des rapports de bogue de mise-à-jour.
(Circonstanciés, les rapports. Avec les messages d’erreur et
tout.)

Mais j'ai réussi sans devoir tout
réinstaller. Tout d'abord, je n'utilisais plus apt mais aptitude et
c'est finalement pas une bonne idée. Encore aujourd'hui, aptitude es t
cassé sur _ma_ squeeze et je fais tout avec apt.



Vocabulaire : s/apt/apt-get/, aptitude et apt-get utilisent apt.

[…]
- udev : ca a aussi été un gros problème avant que je comp renne qu'il
fallait mettre à jour le noyau AVANT udev. Car apt/aptitude dit bien
qu'il compte mettre à jour udev, le kernel et tout, mais il le fait dans
le mauvais sens. Il faut donc mettre à jour le noyau tout seul (apt- get
remove kernel-Je-Sais-Plus-Combien puis apt-get install
kernel-2.6.32 <== je suis pas sûr de l'orthographe, mais c'es t la
bonne version en tout cas). Ensuite apt-get install udev hal.



Et oui, il faut lire et relire le message : le noyau ne doit
pas être seulement installé avant udev, on doit booter dessus
(donc, que ce ne peut être fait « dans le mauvais sens  » puisque
tu dois le faire en deux fois avec un reboot au milieu).

Autre chose : ne pas désinstaller le noyau précédent. Il ne
gêne en rien le démarrage sur le nouveau noyau et permet de
revenir à un système qui démarre si le nouveau ne veut pas.

- Mon xserver n'a pas résisté. J'ai un peu tout supprimé à un moment
donné, donc le server X aussi. Avec le recul, ce n'était peut- être pas
nécessaire.



Sûrement pas, non. Ça sera pour la prochaine…

[…]
- Icedove et aptitude : à cause d'une erreur de sqlite (que je n'ai
toujours pas résolue), je n'arrive pas à utiliser aptitude, ni icedove.



Quelle erreur ?

Aujourd'hui, j'ai télécharger thunderbird directement sur mozil la.org et
ca fonctionne (j'ai repris les paramètres de mes comptes mails et me s
emails en copiant ~/.icedove/Uh5sd54f.default dans ~/.thunderbird/ et o ù
j'ai édité ~/.icedove/profiles.ini pour qu'il prenne en compte le bon
répertoire de stockage (pour moi, c'était Uh5sd54f.default).



Vilain. Les paquets sont là pour ça.

Et puis, Uxxx, c’est un nom aléatoire pour éviter que d es
scripts puissent lire tes données personnelles. Donc maintenant,
merci, on connait ton IP (qui se ballade dans les en-têtes de
ton courriel), ton répertoire profile et on n’a plus qu†™Ã 
attendre que tu passes sur un de nos sites bourrés de méchants
scripts pour lire tes infos.
Oui bon, ok, probabilité nulle…

- emacs : apt-get remove emacs21 puis apt-get install emacs23



C’est parce que c’est le paquet emacs (qui dépend de emacs23)
qu’il faut avoir pour que la màj soit automatique.

[…]
Avec tous ces problèmes, ca m'a pris une soirée, pas plus.



La prochaine fois, prends ton temps, tu en gagneras ;o)

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Gilles Mocellin
Le #22490961
--Qxx1br4bt0+wmkIi
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Le vendredi 20 août, Guillaume écrivit :
Le 20/08/2010 18:01, Sylvain Sauvage a écrit :


[...]
Tout d'abord, je n'utilisais plus apt mais aptitude et
c'est finalement pas une bonne idée. Encore aujourd'hui, aptitude
est cassé sur _ma_ squeeze et je fais tout avec apt.



Il me semble tout de même qu'aptitude est la méthode recommandée depu is
Etch (4.0).
En fait, depuis que apt-get gère comme aptitude les paquet installés
automatiquement, ce n'est plus le cas :
http://www.debian.org/releases/lenny/amd64/release-notes/ch-upgrading.html
4.5. Upgrading packages

The recommended way to upgrade from previous Debian GNU/Linux releases
is to use the package management tool apt-get. In previous releases,
aptitude was recommended for this purpose, but recent versions of
apt-get provide equivalent functionality and also have shown to more
consistently give the desired upgrade results.

Moi, je n'ai pas eu de problèmes aveca aptitude, et surtout l'interface
ncurses permet de voir ce qu'il va faire, et éventuellement intervenir
dessus (garder des paquets).
Il faut bien suivre les release notes (quand elles existe, avant la
sortie, c'est pas le cas !).
Je commence toujours par mettre à jour aptitude, apt, dpkg, car ils ont
peut-être intégrer des contournement ou améliorations liées à l'u pgrade
vers la verision en question.
Ensuite, il faut souvent avoir rebooter sur le nouveau noyau pour que
udev s'installe et fonctionne.

--Qxx1br4bt0+wmkIi
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxu9P4ACgkQDltnDmLJYdBkzACggtW3ErCHRyieLk1tW70CNPyc
s4MAoIMdBRgbyTnruhwSqQBC9Xl7QrPC
=ZCMa
-----END PGP SIGNATURE-----

--Qxx1br4bt0+wmkIi--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Salokine Terata
Le #22491381
Bonjour à tous,

Le Friday 20 August 2010 18:01:10 Sylvain Sauvage, vous avez écrit  :
[Coupe tes lignes. Et tu peux éviter le HTML aussi.]

Hubert Talbot, vendredi 20 août 2010, 11:08:40 CEST

> Je viens de lire ceci sur
> http://forums.debian.net/viewtopic.php?f&tT184:
>
> To upgrade change the sources.list from lenny to squeeze (or from stable
> to testing). apt-get update
> apt-get install linux-image-2.6.32-5-686
> boot in that kernel.
> Then run:
> apt-get install aptitude apt dpkg
> apt-get upgrade
> apt-get dist-upgrade




Ok, perso ça ne me dérange pas de réaliser une telle manip. Mais rassurez moi, les utilisateurs finaux, ils ne devront pas suivre aussi cette
procédure ??

Ma question:
Comment peut-on simuler/tester la procédure qui sera réaliser lor s de la sortie de Squeeze ? Mon objectif étant d'apprécier son c ôté user-friendly.

Bon week-end à tous.
Salokine.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #22491801
[coupez vos lignes]

Salokine Terata, samedi 21 août 2010, 09:35:05 CEST


Bonjour à tous,



’jour,

[…]
Ok, perso ça ne me dérange pas de réaliser une telle manip . Mais
rassurez moi, les utilisateurs finaux, ils ne devront pas suivre
aussi cette
procédure ??



Je n’ai que des utilisateurs finauds. Bon ok, celui-ci n’ est
pas le fil sur la langue donc je vais faire comme si
« utilisateur final » voulait dire quelque chose : l’utilisateur
n’a pas à réaliser cette manip., c’est l’ administrateur qui la
fera. Je vois mal comment éviter de rebouter sur le nouveau
noyau avant de continuer. La procédure de mise à jour sera mise
à jour quand ce sera prêt…

Regarde p.ex.
http://www.debian.org/releases/stable/amd64/release-notes/ch-upgrading.fr.h tml
pour voir la complétude de la procédure.

Ma question:
Comment peut-on simuler/tester la procédure qui sera réaliser
lors de la sortie de Squeeze ? Mon objectif étant d'apprécier
son côté user-friendly.



Ben cf. la même référence : c’est long, c⠀™est complet, c’est
technique, donc c’est pas neuneu-amical, c’est admin-amical …

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Guillaume
Le #22491881
Le 20/08/2010 21:54, Sylvain Sauvage a écrit :

Guillaume, vendredi 20 août 2010, 20:30:49 CEST
[…]
Bonjour,

J'ai fait la transition de lenny vers squeeze il y a quelques jours
... et ça a été la galère.



Squeeze est en période de gel (en plein mois d’août !), c’est
le moment de faire des rapports de bogue de mise-Ã -jour.
(Circonstanciés, les rapports. Avec les messages d’erreur et
tout.)



Concernant udev et hal, cela a été remonté. C'est comme ça que j'ai vu
d'où venaient mes ennuis et comment les résoudre.
J'ai rien vu sur sqlite. Je suis passé à squeeze pour justement aider à
résoudre les bugs donc dans quelques jours j'aurai du temps pour creuser
ce pb et voir s'il n'a pas été déjà remonté.

[...]

[…]
- udev : ca a aussi été un gros problème avant que je comprenne qu'il
fallait mettre à jour le noyau AVANT udev. Car apt/aptitude dit bien
qu'il compte mettre à jour udev, le kernel et tout, mais il le fait dans
le mauvais sens. Il faut donc mettre à jour le noyau tout seul (apt-get
remove kernel-Je-Sais-Plus-Combien puis apt-get install
kernel-2.6.32<== je suis pas sûr de l'orthographe, mais c'est la
bonne version en tout cas). Ensuite apt-get install udev hal.



Et oui, il faut lire et relire le message : le noyau ne doit
pas être seulement installé avant udev, on doit booter dessus
(donc, que ce ne peut être fait « dans le mauvais sens » puisque
tu dois le faire en deux fois avec un reboot au milieu).



Il y a peut-être eu le message quand j'ai fait la mise à jour avec
aptitude, mais c'était pas super explicite. Je m'attendais à avoir plein
de messages de warning, alors j'ai pas trop fait gaffe. Puis de toute
façon, je suis plutôt du genre, je fonce, je casse tout et ensuite je
répare ... j'aime bien :)


Autre chose : ne pas désinstaller le noyau précédent. Il ne
gêne en rien le démarrage sur le nouveau noyau et permet de
revenir à un système qui démarre si le nouveau ne veut pas.




[...]

- Icedove et aptitude : Ã cause d'une erreur de sqlite (que je n'ai
toujours pas résolue), je n'arrive pas à utiliser aptitude, ni icedove.



Quelle erreur ?



pour aptitude c'est "undefined symbol : sqlite3_db_mutex".
Pour icedove c'est :
"/usr/lib/icedove/icedove-bin: symbol lookup error:
/usr/lib/icedove/components/libstoragecomps.so: undefined symbol:
sqlite3_config"


Aujourd'hui, j'ai télécharger thunderbird directement sur mozilla.org et
ca fonctionne (j'ai repris les paramètres de mes comptes mails et mes
emails en copiant ~/.icedove/Uh5sd54f.default dans ~/.thunderbird/ et où
j'ai édité ~/.icedove/profiles.ini pour qu'il prenne en compte le bon
répertoire de stockage (pour moi, c'était Uh5sd54f.default).



Vilain. Les paquets sont là pour ça.

Et puis, Uxxx, c’est un nom aléatoire pour éviter que des
scripts puissent lire tes données personnelles. Donc maintenant,
merci, on connait ton IP (qui se ballade dans les en-têtes de
ton courriel), ton répertoire profile et on n’a plus qu’Ã
attendre que tu passes sur un de nos sites bourrés de méchants
scripts pour lire tes infos.
Oui bon, ok, probabilité nulle…



J'ai mis une chaîne de caractère au pif, héhé !

[...]


[…]
Avec tous ces problèmes, ca m'a pris une soirée, pas plus.



La prochaine fois, prends ton temps, tu en gagneras ;o)



D'un autre côté, je me suis bien amusé et ça m'a permis de faire un peu
le ménage dans les logiciels installés ... ce n'est donc pas du temps de
perdu.

Guillaume

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme